Name:           fmit
Version:        1.1.12
Release:        %mkrel 1
Summary:        Free Music Instrument Tuner (FMIT)
Group:          Sound/Utilities
License:        GPLv2+ and GPLv3+ and LGPLv2+
URL:            http://gillesdegottex.github.io/fmit
Source0:        https://github.com/gillesdegottex/fmit/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

# Replace unmaintained KDE4 k4guitune
Obsoletes:      k4guitune < 1.1.1-10

%description
FMIT is a graphical utility for tuning your musical instruments, with error
and volume history and advanced features like microtonal tuning, statistics,
and various views like waveform shape, harmonics ratios and real-time Discrete
Fourier Transform (DFT). All views and advanced features are optional so that
the interface can also be very simple.

It supports OSS, ALSA, PortAudio and Jack sound systems.

%prep
%autosetup

%build
%qmake_qt5 \
  PREFIX=%{_prefix} \
  CONFIG+="acs_qt acs_alsa acs_jack acs_portaudio acs_oss"
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sun May 07 2017 akien <akien> 1.1.12-1.mga6
+ Revision: 1099474
- Version 1.1.12

* Thu Jan 26 2017 akien <akien> 1.1.11-1.mga6
+ Revision: 1083488
- Version 1.1.11

* Tue Jan 24 2017 akien <akien> 1.1.10-1.mga6
+ Revision: 1083362
- Version 1.1.10

* Thu Jan 12 2017 akien <akien> 1.1.8-1.mga6
+ Revision: 1081197
- Replace the unmaintained KDE4 k4guitune
- imported package fmit

